<div id="main-search" class="main-search">
  <div class="input-group">
    <!-- <input type="text" id="m-search" class="form-control" [style.width]="searchWidthString"> -->
    <div class="search-container" [style.width]="searchWidthString">
      <ng-content></ng-content>
    </div>
    <a href="javascript:" class="input-group-append search-close" (click)="searchOff()">
      <i class="feather icon-x input-group-text"></i>
    </a>
    <button class="input-group-append search-btn btn btn-primary" (click)="searchOn()">
      <i class="feather icon-search input-group-text"></i>
    </button>
  </div>
</div>